GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Typedefs | Enumerations | Functions | Variables
client_channel.c File Reference
`#include "src/core/channel/client_channel.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include "src/core/channel/channel_args.h"`
`#include "src/core/channel/connected_channel.h"`
`#include "src/core/surface/channel.h"`
`#include "src/core/iomgr/iomgr.h"`
`#include "src/core/transport/connectivity_state.h"`
`#include <grpc/support/alloc.h>`
`#include <grpc/support/log.h>`
`#include <grpc/support/sync.h>`
`#include <grpc/support/useful.h>`

## Data Structures
struct | channel_data
struct | lb_policy_connectivity_watcher
| We create one watcher for each new lb_policy that is returned from a resolver, to watch for state changes from the lb_policy. More...
struct | call_data
struct | waiting_call

## Typedefs
typedef struct call_data | call_data

## Enumerations
enum | call_state { CALL_CREATED, CALL_WAITING_FOR_SEND, CALL_WAITING_FOR_CONFIG, CALL_WAITING_FOR_PICK, CALL_WAITING_FOR_CALL, CALL_ACTIVE, CALL_CANCELLED, NOT_STARTED, PENDING, ACTIVATED, ZOMBIED }

## Functions
void | grpc_client_channel_set_resolver (grpc_channel_stack *channel_stack, grpc_resolver *resolver)
grpc_connectivity_state | grpc_client_channel_check_connectivity_state (grpc_channel_element *elem, int try_to_connect)
void | grpc_client_channel_watch_connectivity_state (grpc_channel_element *elem, grpc_connectivity_state *state, grpc_iomgr_closure *on_complete)
grpc_pollset_set * | grpc_client_channel_get_connecting_pollset_set (grpc_channel_element *elem)
void | grpc_client_channel_add_interested_party (grpc_channel_element *elem, grpc_pollset *pollset)
void | grpc_client_channel_del_interested_party (grpc_channel_element *elem, grpc_pollset *pollset)

## Variables
const grpc_channel_filter | grpc_client_channel_filter

## Typedef Documentation

typedef struct call_data call_data

## Enumeration Type Documentation

enum call_state

Enumerator
CALL_CREATED |
CALL_WAITING_FOR_SEND |
CALL_WAITING_FOR_CONFIG |
CALL_WAITING_FOR_PICK |
CALL_WAITING_FOR_CALL |
CALL_ACTIVE |
CALL_CANCELLED |
NOT_STARTED |
PENDING |
ACTIVATED |
ZOMBIED |

## Function Documentation

void grpc_client_channel_add_interested_party | ( | grpc_channel_element * | elem,
|  | grpc_pollset * | pollset
| ) |  |

grpc_connectivity_state grpc_client_channel_check_connectivity_state | ( | grpc_channel_element * | elem,
|  | int | try_to_connect
| ) |  |

void grpc_client_channel_del_interested_party | ( | grpc_channel_element * | elem,
|  | grpc_pollset * | pollset
| ) |  |

grpc_pollset_set* grpc_client_channel_get_connecting_pollset_set | ( | grpc_channel_element * | elem | ) |

void grpc_client_channel_set_resolver | ( | grpc_channel_stack * | channel_stack,
|  | grpc_resolver * | resolver
| ) |  |

void grpc_client_channel_watch_connectivity_state | ( | grpc_channel_element * | elem,
|  | grpc_connectivity_state * | state,
|  | grpc_iomgr_closure * | on_complete
| ) |  |

## Variable Documentation

const grpc_channel_filter grpc_client_channel_filter

Initial value:
= {
cc_start_transport_stream_op,
cc_start_transport_op,
sizeof(call_data),
init_call_elem,
destroy_call_elem,
sizeof(channel_data),
init_channel_elem,
destroy_channel_elem,
cc_get_peer,
"client-channel",
}
channel_data
Definition: client_auth_filter.c:69
call_data
struct call_data call_data
Definition: client_channel.c:52